//
//  MBSqlExecute.h
//  SifSqlite
//
//  Created by Manfred Bergmann on 09.06.05.
//  Copyright 2005 mabe. All rights reserved.
//

// $Author: mbergmann $
// $HeadURL: file://localhost/Volumes/User/mbergmann/_svnrepo/private/cocoa/SifSqlite/trunk/src/MBSqlExecute.h $
// $LastChangedBy: mbergmann $
// $LastChangedDate: 2009-08-05 14:58:05 +0100 (Wed, 05 Aug 2009) $
// $Rev: 631 $

#import <Cocoa/Cocoa.h>
#import <SifSqlite/SifSqlite.h>
#import <SifSqlite/sqlite3.h>

// make forward declarations
int executeSql(sqlite3 *sqlcon_in, char *sqlstmt, char **cerrmsg);
int executeQuery(sqlite3 *sqlcon_in, char *sqlstmt, NSMutableArray **result, char **cerrmsg);

/**
\brief Interface definition of MBSqliteExecute class
 
 This class is used for executing sql statements. In here are c-functions that do the job. They will call the appropriate
 functions of sqlite library. \n
 In here is also a callback method defined that is called for SELECT statements that have a result.
*/
@interface MBSqlExecute : NSObject {

}

@end
